(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     25183,        530]
NotebookOptionsPosition[     24709,        510]
NotebookOutlinePosition[     25162,        528]
CellTagsIndexPosition[     25119,        525]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Grid", "[", "\[IndentingNewLine]", 
  RowBox[{"{", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"Panel", "[", 
      RowBox[{"DynamicModule", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"qf", "=", 
          RowBox[{
           RowBox[{
            RowBox[{"x", "^", "3"}], "*", "y"}], "+", 
           RowBox[{"5", "*", 
            RowBox[{"y", "^", "2"}], "*", "z"}]}]}], "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{",", 
           RowBox[{"b", "=", "2"}]}], "*)"}], "\[IndentingNewLine]", "}"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"Column", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{"\"\<f(x,y,z) = \>\"", ",", 
               RowBox[{"InputField", "[", 
                RowBox[{"Dynamic", "[", "qf", "]"}], "]"}]}], "}"}], "]"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{"\"\<c \>\"", ",", 
                 RowBox[{"Slider", "[", 
                  RowBox[{
                   RowBox[{"Dynamic", "[", "t", "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"2", ",", "0.001"}], "}"}]}], "]"}], ",", 
                 RowBox[{"Dynamic", "[", "t", "]"}]}], "}"}], "]"}], ","}], 
             "*)"}], "\[IndentingNewLine]", 
            RowBox[{
            "Dynamic", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"part1", "=", 
               RowBox[{"D", "[", 
                RowBox[{"qf", ",", "x"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"part2", "=", 
               RowBox[{"D", "[", 
                RowBox[{"qf", ",", "y"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"part3", "=", 
               RowBox[{"D", "[", 
                RowBox[{"qf", ",", "z"}], "]"}]}], ";", "\[IndentingNewLine]",
               "\[IndentingNewLine]", 
              RowBox[{
              "Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Dynamic", "[", 
                 RowBox[{"Grid", "[", 
                  RowBox[{"(*", "0", "*)"}], "\[IndentingNewLine]", 
                  RowBox[{"(*", 
                   RowBox[{"text", " ", "-", " ", 
                    RowBox[{"first", " ", "row"}]}], "*)"}], 
                  "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{"(*", "1", "*)"}], "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{"(*", "2", "*)"}], "\[IndentingNewLine]", 
                    RowBox[{"Framed", "@", 
                    RowBox[{"Text", "@", 
                    RowBox[{"Column", "[", 
                    RowBox[{"(*", "3", "*)"}], "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"(*", "4", "*)"}], "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<f(x,y,z) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "qf", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<\[Del] f(x,y,z) = (\>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "part1", "]"}], ",", 
                    "\"\< , \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "part2", "]"}], ",", 
                    "\"\< , \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "part3", "]"}], ",", 
                    "\"\<)\>\""}], "}"}], "]"}], ",", "Black", ",", "16"}], 
                    "]"}]}], "\[IndentingNewLine]", 
                    RowBox[{"(*", "4", "*)"}], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Center"}]}], 
                    "\[IndentingNewLine]", 
                    RowBox[{"(*", "3", "*)"}], "]"}]}]}], 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"(*", "2", "*)"}], "}"}], "\[IndentingNewLine]", 
                   "\[IndentingNewLine]", 
                   RowBox[{"(*", "1", "*)"}], "}"}], "\[IndentingNewLine]", 
                  RowBox[{"(*", "0", "*)"}], "]"}], "]"}], ",", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"(*", 
                 RowBox[{"parameters", " ", "for", " ", "Manipulate"}], 
                 "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"TrackedSymbols", "\[Rule]", "True"}], ",", 
                RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], 
             "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}], 
          ",", 
          RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], "]"}], "]"}],
      "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"Panel", "[", 
      RowBox[{"DynamicModule", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"q1", "=", 
           RowBox[{
            RowBox[{"x", "^", "3"}], "+", "y"}]}], ",", 
          RowBox[{"q2", "=", 
           RowBox[{"5", "*", 
            RowBox[{"y", "^", "2"}], "*", "z"}]}], ",", 
          RowBox[{"q3", "=", 
           RowBox[{"x", "-", 
            RowBox[{"6", "*", "z"}]}]}]}], "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{",", 
           RowBox[{"b", "=", "2"}]}], "*)"}], "\[IndentingNewLine]", "}"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"Column", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{"\"\<F(x,y,z) = ( \>\"", ",", 
               RowBox[{"InputField", "[", 
                RowBox[{"Dynamic", "[", "q1", "]"}], "]"}], ",", 
               "\"\< , \>\"", ",", 
               RowBox[{"InputField", "[", 
                RowBox[{"Dynamic", "[", "q2", "]"}], "]"}], ",", 
               "\"\< , \>\"", ",", 
               RowBox[{"InputField", "[", 
                RowBox[{"Dynamic", "[", "q3", "]"}], "]"}], ",", 
               "\"\< )\>\""}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{"\"\<c \>\"", ",", 
                 RowBox[{"Slider", "[", 
                  RowBox[{
                   RowBox[{"Dynamic", "[", "t", "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"2", ",", "0.001"}], "}"}]}], "]"}], ",", 
                 RowBox[{"Dynamic", "[", "t", "]"}]}], "}"}], "]"}], ","}], 
             "*)"}], "\[IndentingNewLine]", 
            RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"div", ":=", 
               RowBox[{
                RowBox[{"D", "[", 
                 RowBox[{"q1", ",", "x"}], "]"}], "+", 
                RowBox[{"D", "[", 
                 RowBox[{"q2", ",", "y"}], "]"}], "+", 
                RowBox[{"D", "[", 
                 RowBox[{"q3", ",", "z"}], "]"}]}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"curl1", "=", 
               RowBox[{
                RowBox[{"D", "[", 
                 RowBox[{"q3", ",", "y"}], "]"}], "-", 
                RowBox[{"D", "[", 
                 RowBox[{"q2", ",", "z"}], "]"}]}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"curl2", "=", 
               RowBox[{
                RowBox[{"D", "[", 
                 RowBox[{"q1", ",", "z"}], "]"}], "-", 
                RowBox[{"D", "[", 
                 RowBox[{"q3", ",", "x"}], "]"}]}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"curl3", "=", 
               RowBox[{
                RowBox[{"D", "[", 
                 RowBox[{"q2", ",", "x"}], "]"}], "-", 
                RowBox[{"D", "[", 
                 RowBox[{"q1", ",", "y"}], "]"}]}]}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{
              "Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]",
                "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Dynamic", "[", 
                 RowBox[{"Grid", "[", 
                  RowBox[{"(*", "0", "*)"}], "\[IndentingNewLine]", 
                  RowBox[{"(*", 
                   RowBox[{"text", " ", "-", " ", 
                    RowBox[{"first", " ", "row"}]}], "*)"}], 
                  "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{"(*", "1", "*)"}], "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{"(*", "2", "*)"}], "\[IndentingNewLine]", 
                    RowBox[{"Framed", "@", 
                    RowBox[{"Text", "@", 
                    RowBox[{"Column", "[", 
                    RowBox[{"(*", "3", "*)"}], "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"(*", "4", "*)"}], "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<F(x,y,z) = (\>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "q1", "]"}], ",", 
                    "\"\< , \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "q2", "]"}], ",", 
                    "\"\< , \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "q3", "]"}], ",", 
                    "\"\<)\>\""}], "}"}], "]"}], ",", "Black", ",", "16"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<div F(x,y,z) = \>\"", 
                    RowBox[{"TraditionalForm", "[", "div", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<curl F(x,y,z) = (\>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "curl1", "]"}], ",", 
                    "\"\< , \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "curl2", "]"}], ",", 
                    "\"\< , \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "curl3", "]"}], ",", 
                    "\"\<)\>\""}], "}"}], "]"}], ",", "Black", ",", "16"}], 
                    "]"}]}], "\[IndentingNewLine]", 
                    RowBox[{"(*", "4", "*)"}], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Center"}]}], 
                    "\[IndentingNewLine]", 
                    RowBox[{"(*", "3", "*)"}], "]"}]}]}], 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"(*", "2", "*)"}], "}"}], "\[IndentingNewLine]", 
                   "\[IndentingNewLine]", 
                   RowBox[{"(*", "1", "*)"}], "}"}], "\[IndentingNewLine]", 
                  RowBox[{"(*", "0", "*)"}], "]"}], "]"}], ",", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"(*", 
                 RowBox[{"parameters", " ", "for", " ", "Manipulate"}], 
                 "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"TrackedSymbols", "\[Rule]", "True"}], ",", 
                RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], 
             "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}], 
          ",", 
          RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], "]"}], "]"}],
      "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{{3.5548229248409853`*^9, 3.5548229466889133`*^9}, {
   3.554822985184717*^9, 3.554822990051464*^9}, {3.5548232361851683`*^9, 
   3.554823244343986*^9}, {3.55482330863838*^9, 3.5548233728128223`*^9}, {
   3.55482371858051*^9, 3.5548237381939077`*^9}, {3.5548237781320744`*^9, 
   3.5548237821148243`*^9}, 3.554823826721324*^9, 3.554823884960312*^9, {
   3.554823934487673*^9, 3.55482402880315*^9}, {3.554824065601808*^9, 
   3.5548240780637817`*^9}, {3.554824588728223*^9, 3.554824740461091*^9}, {
   3.554824901128907*^9, 3.554824901350931*^9}, {3.554824970830752*^9, 
   3.554824994704013*^9}, {3.55482504086754*^9, 3.5548250617734737`*^9}, {
   3.5548251139903107`*^9, 3.5548251178233557`*^9}, {3.5548251766566887`*^9, 
   3.554825187628934*^9}, {3.554825217924676*^9, 3.554825223235094*^9}, {
   3.554825261921914*^9, 3.554825282804688*^9}, {3.5548253607363873`*^9, 
   3.5548254167455177`*^9}, 3.554825572841331*^9, {3.5548259437586603`*^9, 
   3.554826069258127*^9}, 3.5548263383386803`*^9, {3.55482656679825*^9, 
   3.554826570588431*^9}, {3.554830885020033*^9, 3.554830997524693*^9}, 
   3.554831647568816*^9, {3.5548316953994904`*^9, 3.554831718298993*^9}, {
   3.555442983341394*^9, 3.555442988200677*^9}, {3.555443019847315*^9, 
   3.5554431003546953`*^9}, {3.555443133223069*^9, 3.555443169808136*^9}, {
   3.555443235494568*^9, 3.555443281709242*^9}, {3.555443331218523*^9, 
   3.555443331664195*^9}, {3.555854117460726*^9, 3.555854144210371*^9}, {
   3.5558545651288967`*^9, 3.555854570656056*^9}, {3.555854616817471*^9, 
   3.555854624823022*^9}, {3.555863076542652*^9, 3.555863131859889*^9}, {
   3.555863162958136*^9, 3.555863220026888*^9}, {3.555863288834029*^9, 
   3.55586344199885*^9}, {3.5558634731343203`*^9, 3.555863486549438*^9}, 
   3.5558944741076202`*^9, {3.555894507779171*^9, 3.55589451236117*^9}, {
   3.555894727412059*^9, 3.555894770352092*^9}, {3.555894826784403*^9, 
   3.555894916790268*^9}, {3.555895133713423*^9, 3.555895135054449*^9}, 
   3.555896073832879*^9, {3.5558961129662237`*^9, 3.555896173771688*^9}, {
   3.55589629615749*^9, 3.555896329563645*^9}, {3.555896377005917*^9, 
   3.5558964382113113`*^9}, 3.555928922422305*^9, 3.555928952864908*^9, {
   3.555928985455372*^9, 3.5559290742046537`*^9}, {3.555929160650202*^9, 
   3.5559291992819633`*^9}, {3.5559383980898447`*^9, 3.555938426496605*^9}, {
   3.555938638434586*^9, 3.5559386402785807`*^9}, {3.555938771417759*^9, 
   3.555938776353813*^9}, {3.555938806778221*^9, 3.555939089266123*^9}, {
   3.555939145597715*^9, 3.555939158907517*^9}, {3.5559392887261477`*^9, 
   3.555939334730699*^9}, {3.55594049014183*^9, 3.5559404946566563`*^9}, {
   3.555940546015019*^9, 3.55594056014144*^9}, {3.555940645305149*^9, 
   3.555940692978821*^9}, {3.5559407513423347`*^9, 3.5559407978108063`*^9}, {
   3.555941020644127*^9, 3.5559411694928627`*^9}, {3.5559552706354723`*^9, 
   3.555955302422906*^9}, {3.566505189082842*^9, 3.5665052837498827`*^9}, {
   3.5665053399193993`*^9, 3.566505353237705*^9}, 3.566519895926311*^9, {
   3.56652010319878*^9, 3.566520103662787*^9}, {3.566520152677472*^9, 
   3.5665201734406548`*^9}, {3.566520261701912*^9, 3.566520276381036*^9}, {
   3.566520649393042*^9, 3.566520683579867*^9}, {3.566520739729834*^9, 
   3.5665207599518127`*^9}, {3.566520979625779*^9, 3.566520982545764*^9}, {
   3.566521051931196*^9, 3.5665210743686733`*^9}, {3.5665212544797153`*^9, 
   3.56652127305494*^9}, 3.566521303599242*^9, {3.566521521048658*^9, 
   3.566521521534005*^9}, {3.566773374533482*^9, 3.566773374859408*^9}, {
   3.566773410037985*^9, 3.5667734741740217`*^9}, {3.566773559250435*^9, 
   3.566773608512265*^9}, {3.5667738007954617`*^9, 3.5667738273857327`*^9}, {
   3.566833851877595*^9, 3.5668338756153107`*^9}, {3.566833952705134*^9, 
   3.566834276946913*^9}, {3.566834321344811*^9, 3.566834385231119*^9}, {
   3.566834463421413*^9, 3.566834498375166*^9}, {3.566834582700148*^9, 
   3.5668345869391937`*^9}, {3.5668346799849977`*^9, 3.566834721374979*^9}, {
   3.56683483077183*^9, 3.566834844611545*^9}, {3.5668348749769993`*^9, 
   3.566834892235333*^9}, {3.566834925948593*^9, 3.5668350534290657`*^9}, {
   3.566835385626257*^9, 3.5668354309476233`*^9}, {3.566835531213057*^9, 
   3.5668357484243393`*^9}, {3.566835936796598*^9, 3.5668359437455673`*^9}, {
   3.566835997900612*^9, 3.566836004087652*^9}, {3.567424527116105*^9, 
   3.56742454510785*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     PanelBox[
      DynamicModuleBox[{$CellContext`qf$$ = $CellContext`x^3 $CellContext`y + 
       5 $CellContext`y^2 $CellContext`z}, 
       TagBox[GridBox[{
          {
           TemplateBox[{"\"f(x,y,z) = \"",InputFieldBox[
              Dynamic[$CellContext`qf$$]]},
            "Row",
            DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
            InterpretationFunction->(RowBox[{"Row", "[", 
               RowBox[{"{", 
                 RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
          {
           
           DynamicBox[
            ToBoxes[$CellContext`part1 = 
              D[$CellContext`qf$$, $CellContext`x]; $CellContext`part2 = 
              D[$CellContext`qf$$, $CellContext`y]; $CellContext`part3 = 
              D[$CellContext`qf$$, $CellContext`z]; Manipulate[
               Dynamic[
                Grid[{{
                   Framed[
                    Text[
                    Column[{
                    Style[
                    Row[{"f(x,y,z) = ", 
                    TraditionalForm[$CellContext`qf$$]}], Black, 16], 
                    Style[
                    Row[{"\[Del] f(x,y,z) = (", 
                    TraditionalForm[$CellContext`part1], " , ", 
                    TraditionalForm[$CellContext`part2], " , ", 
                    TraditionalForm[$CellContext`part3], ")"}], Black, 16]}, 
                    Alignment -> Center]]]}}]], TrackedSymbols -> True, 
               Alignment -> Center], StandardForm],
            ImageSizeCache->{365., {63., 69.}}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Column"],
       DynamicModuleValues:>{}]]},
    {
     PanelBox[
      DynamicModuleBox[{$CellContext`q1$$ = $CellContext`x^3 + \
$CellContext`y, $CellContext`q2$$ = 
       5 $CellContext`y^2 $CellContext`z, $CellContext`q3$$ = $CellContext`x - 
       6 $CellContext`z}, 
       TagBox[GridBox[{
          {
           TemplateBox[{"\"F(x,y,z) = ( \"",InputFieldBox[
              Dynamic[$CellContext`q1$$]],"\" , \"",InputFieldBox[
              Dynamic[$CellContext`q2$$]],"\" , \"",InputFieldBox[
              Dynamic[$CellContext`q3$$]],"\" )\""},
            "Row",
            
            DisplayFunction->(
             RowBox[{#, "\[InvisibleSpace]", #2, "\[InvisibleSpace]", #3, 
               "\[InvisibleSpace]", #4, "\[InvisibleSpace]", #5, 
               "\[InvisibleSpace]", #6, "\[InvisibleSpace]", #7}]& ),
            InterpretationFunction->(RowBox[{"Row", "[", 
               RowBox[{"{", 
                 
                 RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5, ",", #6, 
                   ",", #7}], "}"}], "]"}]& )]},
          {
           
           DynamicBox[
            ToBoxes[$CellContext`div := 
              D[$CellContext`q1$$, $CellContext`x] + 
               D[$CellContext`q2$$, $CellContext`y] + 
               D[$CellContext`q3$$, $CellContext`z]; $CellContext`curl1 = 
              D[$CellContext`q3$$, $CellContext`y] - 
               D[$CellContext`q2$$, $CellContext`z]; $CellContext`curl2 = 
              D[$CellContext`q1$$, $CellContext`z] - 
               D[$CellContext`q3$$, $CellContext`x]; $CellContext`curl3 = 
              D[$CellContext`q2$$, $CellContext`x] - 
               D[$CellContext`q1$$, $CellContext`y]; Manipulate[
               Dynamic[
                Grid[{{
                   Framed[
                    Text[
                    Column[{
                    Style[
                    Row[{"F(x,y,z) = (", 
                    TraditionalForm[$CellContext`q1$$], " , ", 
                    TraditionalForm[$CellContext`q2$$], " , ", 
                    TraditionalForm[$CellContext`q3$$], ")"}], Black, 16], 
                    Style[
                    
                    Row[{"div F(x,y,z) = " 
                    TraditionalForm[$CellContext`div]}], Black, 16], 
                    Style[
                    Row[{"curl F(x,y,z) = (", 
                    TraditionalForm[$CellContext`curl1], " , ", 
                    TraditionalForm[$CellContext`curl2], " , ", 
                    TraditionalForm[$CellContext`curl3], ")"}], Black, 16]}, 
                    Alignment -> Center]]]}}]], TrackedSymbols -> True, 
               Alignment -> Center], StandardForm],
            ImageSizeCache->{334., {79., 85.}}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Column"],
       DynamicModuleValues:>{}]]}
   },
   AutoDelete->False,
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Output",
 CellChangeTimes->{
  3.5559553537931643`*^9, 3.5665052899900093`*^9, {3.5665198858231173`*^9, 
   3.566519899041972*^9}, 3.566520156021954*^9, 3.566520217590797*^9, {
   3.5665202642779493`*^9, 3.566520279539378*^9}, {3.5665206562513742`*^9, 
   3.566520687272629*^9}, {3.566520744318378*^9, 3.566520762192593*^9}, 
   3.566521076952672*^9, {3.5665212570160837`*^9, 3.566521305625123*^9}, 
   3.566521524628559*^9, 3.566521592484137*^9, 3.566773624908289*^9, 
   3.566773836798567*^9, 3.5667739032088337`*^9, 3.5668337708847027`*^9, 
   3.5668345090154467`*^9, 3.566834588266192*^9, {3.566834700613977*^9, 
   3.566834723130926*^9}, 3.5668348466237917`*^9, 3.5668350576189547`*^9, {
   3.566835389383112*^9, 3.5668354326203203`*^9}, 3.566835589558886*^9, 
   3.5668357537302094`*^9, 3.56683579909243*^9, 3.56683594776455*^9, {
   3.5668360064001617`*^9, 3.5668360331974897`*^9}, {3.5669218198066883`*^9, 
   3.566921845170993*^9}, 3.567386144231717*^9, 3.567424548448567*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"THIS", " ", "NOTEBOOK", " ", "IS"}], "\n", 
   "\"\<Bard - Mathematica - Grad Div Curl 3D Demo\>\"", 
   "\[IndentingNewLine]", 
   RowBox[{"By", " ", 
    ButtonBox[
     RowBox[{"Ethan", " ", "Bloch"}],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"],
        None},
     ButtonNote->
      "http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"]}]}]}]\
], "Input",
 CellChangeTimes->{{3.554643887154148*^9, 3.554643894120864*^9}, {
   3.554643928521969*^9, 3.5546439339859943`*^9}, {3.5546439870866327`*^9, 
   3.554644011899135*^9}, 3.554644188266039*^9, 3.554645979032176*^9, {
   3.5546460222225246`*^9, 3.554646054791726*^9}, {3.555941238852641*^9, 
   3.555941263560933*^9}, {3.559236862460759*^9, 3.5592368627682877`*^9}, {
   3.566520253854744*^9, 3.5665202548922443`*^9}, 3.5665225956757936`*^9, {
   3.566773912224471*^9, 3.5667739140624037`*^9}, {3.566834757678142*^9, 
   3.566834760789063*^9}, 3.567386140977384*^9}]
},
WindowSize->{986, 768},
WindowMargins->{{35, Automatic}, {Automatic, 3}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (July 22, \
2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 17208, 333, 1687, "Input"],
Cell[17790, 357, 5787, 125, 431, "Output"]
}, Open  ]],
Cell[23592, 485, 1113, 23, 110, "Input"]
}
]
*)

(* End of internal cache information *)
